/*
 * Uebungen zur Verifikationsnumerik
 * Wissenschaftliches Rechnen / Softwaretechnologie
 * Bergische Universitaet Wuppertal
 *
 * Implementierung der Kreisscheibenarithmetik
 */

#include "cikreis.h"

using namespace cxsc;
using namespace std;

int main()
{
	cikreis a(complex(-1,1),3),
	b(complex(2,-1),2),
	c(complex(3,1),2),
	d(complex(3,-1),1),
	x;

	cout << SetPrecision(20,15);
	cout << "  a = " << a << endl;
	cout << "  b = " << b << endl;
	cout << "  c = " << c << endl;
	cout << "  d = " << d << endl << endl;

	cout << "a+b = " << a+b << endl;
	cout << "a-b = " << a-b << endl;
	cout << "a*b = " << a*b << endl;
	cout << "a/b = " << a/b << endl << endl;

	cout << "(*) = " << a/b*c-d << endl << endl;

	cout << "Zusatztest: Ein- und Ausgabe" << endl;
	cout << "Bitte Kreisscheibenintervall eingeben: ";
	cin >> x;
	cout << SetPrecision(23,16) << x << endl;
	return 0;
}
